MAKEWHATIS(1)

NAME
makewhatis - create whatis database

SYNOPSIS
makewhatis [-i | -indent column] [-n | -name name] [-o | -outfile file] [-v | -verbose] [-h | -help] [directories ...]

DESCRIPTION
Makewhatis extracts the name and a short description from unformatted manpages and creates the whatis(1) database. Makewhatis can read gzip'ed manpages. Directory names a directory containing manpage subdirectories (named man[0-8]). Colons are treated as spaces, hence makewhatis $MANPATH or makewhatis `manpath` are allowed.

OPTIONS

-h, -help
    Print options and exit.

-v, -verbose
    Issue more warnings (to stderr). For every parsed man page write a single char: ‘’. for an uncompressed page, ‘*’ for a compressed page, and ‘+’ for a link.

-i, -indent column
    Justify description strings to column (default 24).

-o, -outfile file
    Write all output to file instead of dirname/whatis.

-n, -name name
    Use name instead of whatis.

EXAMPLES

makewhatis $MANPATH

Create whatis database for all directories in your $MANPATH.

makewhatis -outfile /tmp/mywhatis /usr/local/man $HOME/man

Create whatis database /tmp/mywhatis . Traverse directories /usr/local/man and $HOME/man. Don't create /usr/local/man/whatis or $HOME/man/whatis.

makewhatis -name windex $HOME/man

Create whatis database windex instead of whatis. May be useful for Solaris.

FILES
*/man/whatis
    whatis database
/etc/weekly
    run makewhatis every week

SEE ALSO
man(1), whatis(1), apropos(1), manpath(1), catman(1).

HISTORY
This makewhatis command appeared in FreeBSD 2.1.

AUTHOR
Wolfram Schneider <wosch@cs.tu-berlin.de>, Germany